
varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;

#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif


vec3 lerp(float a, vec4 b, float s)
{
    return vec3(a + (b - a) * s);
}

vec4 colorBurnPass(in vec4 colorInput){
    lowp vec4 blendColor = vec4(212.0/255.0, 215.0/255.0, 234.0/255.0,1.0);//color to burn with  212 215 234
   // result = white - (white - base) / blend;
    vec4 white = vec4(1.0,1.0,1.0,1.0);
    return white - (white - colorInput) / blendColor;
}
void main()
{
    lowp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 outputColor = colorBurnPass(textureColor);
    
    gl_FragColor = outputColor;
}