
varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;

#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif


vec3 lerp(float a, vec4 b, float s)
{
    return vec3(a + (b - a) * s);
}

vec4 colorBurnPass(in vec4 colorInput){
    lowp vec4 blendColor = vec4(184.0/255.0, 158.0/255.0, 141.0/255.0,1.0);//color to soft with

    // result = 2.0 * base * blend + base * base - 2.0 * base * base * blend;

    return 2.0 * colorInput * blendColor + colorInput * colorInput - 2.0 * colorInput * colorInput * blendColor;
}
void main()
{
    lowp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 outputColor = colorBurnPass(textureColor);
    
    gl_FragColor = outputColor;
}